Pkgcheck Warnings

  • All Versions
    • UnstableOnly
      for arches: [ arm, hppa ], all versions are unstable: [ 2.220.600, 2.220.700 ]
  • 2.220.700
    • LaggingStable
      slot(0), stabled arches: [ amd64, arm64, ppc, ppc64, x86 ], lagging: [ ~sparc ]
    • MissingVersionedVirtualPerlDependency
      missing version restriction for virtual perl: 'virtual/perl-CPAN-Meta-Requirements'
    • MissingVersionedVirtualPerlDependency
      missing version restriction for virtual perl: 'virtual/perl-ExtUtils-MakeMaker'
    • MissingVersionedVirtualPerlDependency
      missing version restriction for virtual perl: 'virtual/perl-File-Spec'
    • MissingVersionedVirtualPerlDependency
      missing version restriction for virtual perl: 'virtual/perl-Module-Metadata'
    • NonexistentDeps
      BDEPEND: nonexistent package: <dev-lang/perl-5.38.2-r3
    • NonexistentDeps
      DEPEND: nonexistent package: <dev-lang/perl-5.38.2-r3
    • NonexistentDeps
      RDEPEND: nonexistent package: <dev-lang/perl-5.38.2-r3
    • PotentialStable
      slot(0), stabled arches: [ amd64, arm64, ppc, ppc64, x86 ], potentials: [ ~arm, ~hppa ]
  • 2.220.600
    • MissingVersionedVirtualPerlDependency
      missing version restriction for virtual perl: 'virtual/perl-CPAN-Meta-Requirements'
    • MissingVersionedVirtualPerlDependency
      missing version restriction for virtual perl: 'virtual/perl-ExtUtils-MakeMaker'
    • MissingVersionedVirtualPerlDependency
      missing version restriction for virtual perl: 'virtual/perl-File-Spec'
    • MissingVersionedVirtualPerlDependency
      missing version restriction for virtual perl: 'virtual/perl-Module-Metadata'
    • NonexistentDeps
      BDEPEND: nonexistent package: <dev-lang/perl-5.38.2-r3
    • NonexistentDeps
      DEPEND: nonexistent package: <dev-lang/perl-5.38.2-r3
    • NonexistentDeps
      RDEPEND: nonexistent package: <dev-lang/perl-5.38.2-r3

Pkgcheck is used regularly to generate QA reports. Pkgcheck is a pkgcore-based QA utility for ebuild repos.